com.sun.java.xml.ns.javaee

## Class UrlPatternType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.UrlPatternType

-     public class UrlPatternType
      extends Object

  The url-patternType contains the url pattern of the mapping. It must follow the rules specified in Section 11.2 of the Servlet API Specification. This pattern is assumed to be in URL-decoded form and must not contain CR(#xD) or LF(#xA). If it contains those characters, the container must inform the developer with a descriptive error message. The container must preserve all characters including whitespaces.

  Java-Klasse für url-patternType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="url-patternType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>string">
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlPatternType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getValue()` Ruft den Wert der value-Eigenschaft ab.
    `void` | `setValue(String value)` Legt den Wert der value-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

  - ### Constructor Detail

    - #### UrlPatternType

          public UrlPatternType()

  - ### Method Detail

    - #### getValue

          public String getValue()

      Ruft den Wert der value-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(String value)

      Legt den Wert der value-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.